## org.eclipse.datatools.connectivity.oda.util
Class ResourceIdentifiers.URILocator

    java.lang.Object
      org.eclipse.datatools.connectivity.oda.util.ResourceIdentifiers.URILocator

Enclosing class:
  ResourceIdentifiers

    public class ResourceIdentifiers.URILocator

extends java.lang.Object

The default locator of a resource URI relative to a specified base URI. An ODA consumer application may extend to customize how it proposes to resolve a relative URI reference against its resource base URI. An ODA data provider may use the locator to resolve a resource's relative URI; or if the application-dependent base URI is well defined, get the base URI for its own processing.

Constructor Summary
`ResourceIdentifiers.URILocator(java.net.URI baseURI)`

Method Summary
`java.net.URI` `getBaseURI()`
`java.net.URI` `resolve(java.net.URI uri)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceIdentifiers.URILocator

    public ResourceIdentifiers.URILocator(java.net.URI baseURI)

Method Detail

### getBaseURI

    public java.net.URI getBaseURI()

### resolve

    public java.net.URI resolve(java.net.URI uri)